# Class GroupedObservation.GroupedObservationObs

Namespace
  adas_core.Domain.Models

Assembly
  adas-core.Domain.dll

Represents a grouped collection of observations.

    public class GroupedObservation.GroupedObservationObs

Inheritance
  object
  GroupedObservation.GroupedObservationObs

Inherited Members
  object.Equals(object)
  object.Equals(object, object)
  object.GetHashCode()
  object.GetType()
  object.MemberwiseClone()
  object.ReferenceEquals(object, object)

Extension Methods
  NumberUtils.IsNumber(object)
  NumberUtils.ToDouble(object)
  ObjectUtils.ToStr(object?)

## Properties

### Average

    public GroupedObservation.GroupedObservationObsValue? Average { get; set; }

#### Property Value

GroupedObservation.GroupedObservationObsValue

### Count

    public GroupedObservation.GroupedObservationObsValue? Count { get; set; }

#### Property Value

GroupedObservation.GroupedObservationObsValue

### First

    public GroupedObservation.GroupedObservationObsValue? First { get; set; }

#### Property Value

GroupedObservation.GroupedObservationObsValue

### HalfHour

    public GroupedObservation.GroupedObservationObsValue? HalfHour { get; set; }

#### Property Value

GroupedObservation.GroupedObservationObsValue

### IsFilled

    public bool IsFilled { get; set; }

#### Property Value

bool

### Last

    public GroupedObservation.GroupedObservationObsValue? Last { get; set; }

#### Property Value

GroupedObservation.GroupedObservationObsValue

### LastFilled

    public GroupedObservation.GroupedObservationObsValue? LastFilled { get; set; }

#### Property Value

GroupedObservation.GroupedObservationObsValue

### Max

    public GroupedObservation.GroupedObservationObsValue? Max { get; set; }

#### Property Value

GroupedObservation.GroupedObservationObsValue

### MaxAlert

    public object? MaxAlert { get; set; }

#### Property Value

object

### Min

    public GroupedObservation.GroupedObservationObsValue? Min { get; set; }

#### Property Value

GroupedObservation.GroupedObservationObsValue

### MinAlert

    public object? MinAlert { get; set; }

#### Property Value

object

### Name

    public string Name { get; set; }

#### Property Value

string

### Shift

    public int? Shift { get; set; }

#### Property Value

int?

### ShiftDate

    public DateTime ShiftDate { get; set; }

#### Property Value

DateTime

### Sum

    public GroupedObservation.GroupedObservationObsValue? Sum { get; set; }

#### Property Value

GroupedObservation.GroupedObservationObsValue

### Time

    public DateTime Time { get; set; }

#### Property Value

DateTime

## Methods

### ToString()

Returns a string representation of the GroupedObservationObs, including the name and any non-null statistical properties (first, last, min, max, average, sum, count, half-hour, min alert, max alert), along with the time, shift date, and optional shift.

    public override string ToString()

#### Returns

string

  A formatted string in the form "GroupedObservationObs[name: ..., ...]" summarizing the object's relevant properties.